[rspec-users] Lastest versions for 2.3.10?

macarthy justin.maccarthy at gmail.com
Tue Nov 23 01:26:13 EST 2010


Can someone tell me what the latest versions for rspec / cucumber for
a rails 2.3.10 project?

Currently I get this error

$: script/generate rspec
Couldn't find 'rspec' generator

My enviroment.rb :

  config.gem 'rspec-rails',       :lib => false,   :version =>
'1.3.3'
  config.gem 'cucumber-rails',  :lib => false,     :version => '0.3.2'
  config.gem 'database_cleaner', :lib => false,   :version => '0.5.0'
  config.gem 'webrat',            :lib => false,   :version => '0.7.1'

Rake gems

/projects/understanding/valtest > rake gems
(in /Users/macarthy/projects/understanding/valtest)
 - [I] rspec-rails = 1.3.3
    - [I] rspec = 1.3.1
    - [R] rack >= 1.0.0
 - [I] cucumber-rails = 0.3.2
    - [I] cucumber >= 0.8.0
       - [I] gherkin ~> 2.2.9
          - [R] json ~> 1.4.6
          - [I] term-ansicolor ~> 1.0.5
       - [I] term-ansicolor ~> 1.0.5
       - [R] builder ~> 2.1.2
       - [I] diff-lcs ~> 1.1.2
       - [R] json ~> 1.4.6
 - [I] database_cleaner = 0.5.0
 - [I] webrat = 0.7.1
    - [I] nokogiri >= 1.2.0
    - [R] rack >= 1.0
    - [I] rack-test >= 0.5.3
       - [R] rack >= 1.0

I = Installed
F = Frozen
R = Framework (loaded before rails starts)


More information about the rspec-users mailing list